# Interface StateChangeParams<PluginState>

interface StateChangeParams<PluginState> {
prevState?: PluginState;
state: PluginState;
userAction: boolean;
}

#### Type Parameters

- PluginState

- Defined in lib/plugins/BasePlugin/index.ts:38

##### Index

### Properties

prevState?
state
userAction

## Properties

### `Optional` prevState

prevState?: PluginState

上一个State

- Defined in lib/plugins/BasePlugin/index.ts:43

### state

state: PluginState

最新的State

- Defined in lib/plugins/BasePlugin/index.ts:40

### userAction

userAction: boolean

是否是用户触发

- Defined in lib/plugins/BasePlugin/index.ts:46